VisualEditor: Protected page warning messages are missing
Closed, ResolvedPublic

Description

VE is missing the red "semi-protected page" box seen at
http://en.wikipedia.org/w/index.php?title=Muscle&action=edit and probably also the equivalent one for administrators on fully protected pages.

They should be displayed as a "notice".


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=51215

bzimport set Reference to bz50415.
TTO created this task.Via LegacyJun 29 2013, 7:00 AM
Jdforrester-WMF added a comment.Via ConduitJun 30 2013, 5:41 PM

In sequencing, this should probably be above everything except the not-applicable anon warning (so anon warning > protected > editing old > page notices). Maybe we need a more formal ordering?

Ironholds added a comment.Via ConduitJul 2 2013, 7:53 AM

This also applies to things like BLP warnings, mind; non-page-specific warnings generally seem to get cut off.

jayvdb added a comment.Via ConduitJul 4 2013, 4:58 AM

The edit box of a protected page also uses a pick background. That is missing from VE.

TTO added a comment.Via ConduitJul 4 2013, 5:04 AM

(In reply to comment #3)

The edit box of a protected page also uses a pick background. That is
missing
from VE.

No, this is enwiki's local CSS: [[MediaWiki:Group-sysop.css]] needs to be updated. I will file an edit request.

gerritbot added a comment.Via ConduitJul 10 2013, 8:24 PM

Change 73022 had a related patch set uploaded by Robmoen:
Add protected & semiprotected notices to api.

https://gerrit.wikimedia.org/r/73022

gerritbot added a comment.Via ConduitJul 10 2013, 10:59 PM

Change 73022 merged by jenkins-bot:
Add protected & semiprotected notices to api.

https://gerrit.wikimedia.org/r/73022

Jdforrester-WMF added a comment.Via ConduitJul 10 2013, 11:06 PM

This is now fixed in master and we will push to production very soon. Sorry for the inconvenience.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.